Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.areas

## Class AreaXYSplitBI.Builder<T extends AreaBIType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaXYSplitBI.Builder<T>

- Enclosing class:
    AreaXYSplitBI<T extends AreaBIType>

      public static final class AreaXYSplitBI.Builder<T extends AreaBIType>
      extends java.lang.Object

  Builds instances of type `AreaXYSplitBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AreaXYSplitBI<T>` | `build​()` | Builds a new `AreaXYSplitBI`.
    `AreaXYSplitBI.Builder<T>` | `from​(AreaXYSplitBIType<T> instance)` | Fill a builder with attribute values from the provided `AreaXYSplitBIType` instance.
    `AreaXYSplitBI.Builder<T>` | `setX0y0​(T x0y0)` | Initializes the value for the `x0y0` attribute.
    `AreaXYSplitBI.Builder<T>` | `setX0y1​(T x0y1)` | Initializes the value for the `x0y1` attribute.
    `AreaXYSplitBI.Builder<T>` | `setX1y0​(T x1y0)` | Initializes the value for the `x1y0` attribute.
    `AreaXYSplitBI.Builder<T>` | `setX1y1​(T x1y1)` | Initializes the value for the `x1y1` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaXYSplitBI.Builder<T> from​(AreaXYSplitBIType<T> instance)

      Fill a builder with attribute values from the provided `AreaXYSplitBIType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y0

          public final AreaXYSplitBI.Builder<T> setX0y0​(T x0y0)

      Initializes the value for the `x0y0` attribute.
      Parameters:
        `x0y0` - The value for x0y0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y0

          public final AreaXYSplitBI.Builder<T> setX1y0​(T x1y0)

      Initializes the value for the `x1y0` attribute.
      Parameters:
        `x1y0` - The value for x1y0
      Returns:
        `this` builder for use in a chained invocation

    - #### setX0y1

          public final AreaXYSplitBI.Builder<T> setX0y1​(T x0y1)

      Initializes the value for the `x0y1` attribute.
      Parameters:
        `x0y1` - The value for x0y1
      Returns:
        `this` builder for use in a chained invocation

    - #### setX1y1

          public final AreaXYSplitBI.Builder<T> setX1y1​(T x1y1)

      Initializes the value for the `x1y1` attribute.
      Parameters:
        `x1y1` - The value for x1y1
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaXYSplitBI<T> build​()

      Builds a new `AreaXYSplitBI`.
      Returns:
        An immutable instance of AreaXYSplitBI
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com